/*
 * Copyright (C) 2018 Gravity Engineering Corporation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package example.test;
import java.awt.event.KeyListener;

/**
 * サーバから転送されたイベント通知をクライアントで実行するサンプル
 */
public class ClientKeyEvent implements KeyListener {
	@Override
	public void keyTyped(java.awt.event.KeyEvent e) {
		System.out.println(e);
	}

	@Override
	public void keyPressed(java.awt.event.KeyEvent e) {
		System.out.println(e);
	}

	@Override
	public void keyReleased(java.awt.event.KeyEvent e) {
		System.out.println(e);
	}
}
