/*
 * Copyright (C) 2018 Gravity Engineering Corporation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package example.test;

import com.graveng.rci.server.RciServer;
import com.graveng.rci.server.RciServerInitialize;

/**
 * RCIサーバ起動に登録するサンプル
 *
 */
public class RciServerInitializeImpl implements RciServerInitialize{

	public RciServerInitializeImpl() {
		System.out.println("RciServerInitializeImpl constructor called");
	}

	@Override
	public void initialize(RciServer server) {
		System.out.println("RciServerInitializeImpl initialize called");
	}

}
